Bug 108077 - grubby won't do multiple arguments of same type
grubby won't do multiple arguments of same type
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 09:27 EST by Troy Dawson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-13 17:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2003-10-27 09:27:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030919

Description of problem:
When using grubby to add arguments to the kernel, for either lilo or grub, I am
only able to add one instance of an item.
My specific problem is that for a serial console, if you want to have the output
go through both the video and serial console, you need to add

console=tty0 console=ttyS0,9600n8

(ok, so you need to modify the serial part for your specific instance but that's
not the problem)

grubby will only allow one instance of console= so I'm having some trouble using
grubby to do this.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try adding them one at a time
grubby --config-file=/boot/grub/grub.conf --update-kernel=0 --args="console=tty0"
and then do
grubby --config-file=/boot/grub/grub.conf --update-kernel=0
--args="console=ttyS0,9600n8"
2. Or try adding them both at the same time
grubby --config-file=/boot/grub/grub.conf --update-kernel=0 --args="console=tty0
console=ttyS0,9600n8"

Actual Results:  1. It replaces console=tty0 with console=ttyS0,9600n8

2. It only does the first console= and not the second one as well.

Expected Results:  1. Well, actually that is sortof what I expect.  But it would
be nice if there was some way to add it when doing it the second time, like
--argsadd or something.

2. This situation is the one that supprised me.  I though that if I put both
sections in the quotations, that it would add them both.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.